io.etcd.jetcd.options

## Class LeaseOption.Builder

- java.lang.Object
- - io.etcd.jetcd.options.LeaseOption.Builder

Enclosing class:
  LeaseOption

    public static class LeaseOption.Builder
    extends Object

### Method Summary

All Methods Instance Methods Concrete Methods
`LeaseOption` `build()`
`LeaseOption.Builder` `withAttachedKeys()` requests lease timeToLive API to return attached keys of given lease ID.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### withAttachedKeys

    public LeaseOption.Builder withAttachedKeys()

requests lease timeToLive API to return attached keys of given lease ID.

Returns:
  builder.

#### build

    public LeaseOption build()